<?php
if($jns=='2'||$jns=='3'){$jnsmed="Perdamaian Pada Tahap Pemeriksaan Perkara";}else{$jnsmed=" Mediasi";}
?>
<div class="centering" style="width:585px;margin-top: 1%;">
<div id='popup_tambah_mediasi' style="border: 1px solid #ffffff;">
    <div class="detil" style="padding: 2px;background-color: white;">
		<form id="frm_mediasi" name="frm_mediasi" style="background:white;margin:0;" method="post" action="<?php echo base_url().'tab_mediasi_c/insert_update_penetapan_mediasi';?>">
			<table id="tableDetilPerkara" style="font-size:14px;">
				<col width="255px">
				<col width="">
                    <tbody>
						<tr>
							<td colspan="2" class="header">
							Penetapan <?php echo $jnsmed;?>
							</td>
						</tr>
                        <tr>
                            <td colspan="2" class="divider">Data Penetapan Jadwal Sidang Pertama</td>
                        </tr>
                        <tr>
                            <td>Nomor Perkara</td>
                            <td style="padding:0px;padding-left:5px;">
                                <?php echo $nomor_perkara;?>
                            </td>
                        </tr>
                        <tr>
                            <td>Tgl Penetapan Sidang Pertama</td>
                            <td style="padding:0px;padding-left:5px;">
                                <?php echo $this->tanggalhelper->convertDayDate($tanggal_penetapan_sidang_pertama); ?>
                            </td>
                        </tr>
                        <tr>
                            <td>Tgl Sidang Pertama</td>
                            <td style="padding:0px;padding-left:5px;">
                                <?php echo $this->tanggalhelper->convertDayDate($sidang_pertama); ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" class="divider">Data Penetapan <?php echo $jnsmed;?></td>
                        </tr>
                        <?php
                        if ($jns=='2'){ ?>
						<tr>
                            <td>Status Mediasi Sebelumnya</td>
                            <td style="padding:0px;padding-left:5px;color:orange;">
                            <?php 
                            if ($hasil_mediasi_sebelumnya==='T'){
                                echo "Tidak Berhasil";
                            }else{
                                echo "Tidak Dapat Dilaksanakan";}
                            ?>
                            </td>
                        </tr>
                        <tr>
                            <td>Tgl Hasil Mediasi Sebelumnya</td>
                            <td style="padding:0px;padding-left:5px;color:orange;">
                                <?php echo $this->tanggalhelper->convertDayDate($keputusan_mediasi_sebelumnya); ?>
                                <input type="hidden" id="kesepakatan_mediasi_sebelumnya" name="kesepakatan_mediasi_sebelumnya" value="<?php echo $keputusan_mediasi_sebelumnya;?>">
                            </td>
                        </tr>
                        <tr>
                        	<td colspan="2"><th></th></td>
                        </tr>
                        <?php } ?>
                   		<tr>
                            <td>Tgl Penetapan Mediator<span style="color:red">*</span></td>
                            <td style="padding:0px;padding-left:5px;">
                                <input id="tgl_penetapan_mediator" name="tgl_penetapan_mediator" value="<?php echo (!empty($penetapan_mediator) ? $this->tanggalhelper->convertToInputDate($penetapan_mediator) : '');?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                            </td>
                        </tr>
                        <tr>
                            <td>No. Penetapan Mediator</td>
                            <td style="padding:0px;padding-left:5px;">
                                <input type="text" id="sk_penetapan_mediator" name="sk_penetapan_mediator" value="<?php echo (!empty($nomor_sk_penetapan) ? $nomor_sk_penetapan : '');?>" class="standard-input" style="width:251px;">
                            </td>
                        </tr>
                        <tr>
                            <td>Mediator
                            <span style="color:red">*</span>
                            </td>
                            <?php if($jns==2){ ?>
                                <td style="padding:0px;padding-left:5px;">
                                    <span class="custom-dropdown custom-dropdown--emerald" style="width:300px">
                                        <select name="mediator" id="mediator" style='width:300px;' class="custom-dropdown__select custom-dropdown__select--white">
                                            <option value="">Pilih Mediator</option>
                                            <?php
                                                if(($data_mediator!='')&&($data_mediator->num_rows()>0)) {
                                                    foreach ($data_mediator->result() as $row) {
                                                        echo '<option value="'.base64_encode($this->encrypt->encode($row->id)).'">'.$row->status_mediator.' - '.$row->nama.'</option>';
                                                    }
                                                }
                                            ?>
                                        </select>
                                    </span>
                                </td>
                            <?php }else{?> 
                                <td style="padding:0px;padding-left:5px;">
                                    <div id="container">
                                        <input type="text" name="mediator[]" required="true" oninvalid="InvalidMsg(this);" oninput="InvalidMsg(this);" placeholder="Klik kolom untuk memilih mediator" onclick="popup_mediator(0)" class="standard-input" style="width:251px;" id="mediator0" />
                                        <input type="hidden" class="mediator_id0" name='mediatorid[]'/>
                                        <input type="hidden" class="status0" name="status[]"/>
                                        <input type="hidden" class="enk_id0" name="enk_id[]"/>
                                        <a href='#' class="first_add" hidden><img  id='add' src="<?php echo base_url();?>resources/img/add-user-48.gif" style="width: 23px; height: 24px;"></a>
                                    </div>
                                </td>
                            <?php }?>
                        </tr>
                        <?php if($jns!=2){?>
                        <tr>
                            <td>Jenis Penetapan Mediator<span style="color:red">*</span></td>
                            <td><span class="custom-dropdown custom-dropdown--emerald">
                            <select id="jenis_pilih_mediator" name="jenis_pilih_mediator" style="width:250px;z-index:99999" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value="">-- Pilih Jenis Penetapan Mediator --</option>
                                <option value="sepakat memilih Mediator">Pihak Sepakat Memilih Mediator</option>
                                <option value="sepakat untuk menyerahkan kepada Majelis Hakim untuk menunjuk Mediator dari Daftar Mediator">Majelis Hakim Memilih Mediator</option>
                            </select>
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                            <td>Tgl Mulai Mediasi</td>
                            <td id="tgl_mulai_mediasi" style="padding:0px;padding-left:5px;">
                            <?php 
                                if (!empty($tgl_mediasi)) {
                                    echo $this->tanggalhelper->convertDayDate($tgl_mediasi); 
                                }
                            ?>
                            </td>
                        </tr>
						<tr>
                            <td colspan="2" style="background:white;" align="center">
							<input type="hidden" name="enc" id="enc" value="<?php echo $enc; ?>">
							<input type="hidden" name="jns" id="jns" value="<?php echo $jns; ?>">
							<input type="hidden" id="curr_date" name="curr_date" value="<?php echo $tgl_sekarang;?>">
							<input type="hidden" id="urutan" name="urutan" value="<?php echo $urutan;?>">
							<input type="hidden" id="sidang_pertama" name="sidang_pertama" value="<?php echo $sidang_pertama;?>">
							<input type="button" id='close_form_mediasi' value="Kembali" class="btn">
                            <input type="submit" id="simpan_btn" value="Simpan" class="btn" onClick="return check_duplicate()">
                        	</td>
                        </tr>
					</tbody>
			</table>
		</form>
	</div>
</div>
</div>

<script type="text/javascript">
function popup_mediator(val){
    $('.first_add').show();
    popup_form2nd('<?php echo base_url("popup_mediator");?>'+'/'+0+'/'+val+'/'+'H');
}

$(document).ready(function(){  
    var counter=1;
    var count=counter-1;
    $('#add').click(function(){  
       ++count;
       $('#container').append('<div id="row'+count+'"><input type="text" id="mediator'+ count + '" name="mediator[]" placeholder="Pilih nama mediator" class="standard-input" style="width:251px;" required="true" oninvalid="InvalidMsg(this)" oninput="InvalidMsg(this)" onclick="popup_mediator('+count+')" /><input class="mediator_id'+ count + '" type="hidden" name="mediatorid[]"/> <input class="status'+count+'" type="hidden" name="status[]"/><input type="hidden" class="enk_id'+count+'" name="enk_id[]"/><a href="#" id="'+count+'" class="btn_remove"><img style="width: 20px; height: 22px;" src=<?php echo base_url('resources/img/remove-user-512.gif');?>></a></div>');
    });

    $(document).on('click', '.btn_remove', function(){  
       var button_id = $(this).attr("id");   
       $('#row'+button_id+'').remove();
    });

});

function InvalidMsg(textbox) {
    if (textbox.value == '') {
        textbox.setCustomValidity('Pilih Nama Mediator');
    }else if (textbox.validity.typeMismatch){
        textbox.setCustomValidity('Silahkan pilih Nama mediator yang telah tersedia');
    }else {
       textbox.setCustomValidity('');
    }
    return true;
}

$('#close_form_mediasi').closingFormWin();
var jns='<?php echo $jns;?>';
$('#tgl_penetapan_mediator').change(function(){
                var error = 0;
                
                var tmp = $(this).val().split("/");
                var tmp2 = $('#curr_date').val().split("/");
                var sidang_pertama = $('#sidang_pertama').val();
                var tmp3 = sidang_pertama.split("-");

                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
                    message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
                    error = 1;
                }
                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() < new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
                    message = 'Tidak Dapat Memilih Tanggal Sebelum Tanggal Sidang Pertama';
                    error = 1;
                    
                }

				if(jns==="2"){
                var kesepakatan_mediasi_sebelumnya = $('#kesepakatan_mediasi_sebelumnya').val();
                var tmp4 = kesepakatan_mediasi_sebelumnya.split("-");
                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() < new Date(tmp4[0],tmp4[1],tmp4[2]).getTime())){
                    message = 'Tidak Dapat Memilih Tanggal Sebelum Tanggal Hasil Mediasi Sebelumnya';
                    error = 1
                }
				}

                if(error==1){
                    message_error_show(message);
                    $(this).css("background-color", "red");
                }else{
                    $(this).css("background-color", "#dedbdb");
                }
                error = 0;

                $('#tgl_mulai_mediasi').text($(this).val());
});
$('#tgl_penetapan_mediator').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
                var error = 0;
                
                var tmp = $(this).val().split("/");
                var tmp2 = $('#curr_date').val().split("/");
                var sidang_pertama = $('#sidang_pertama').val();
                var tmp3 = sidang_pertama.split("-");
				

                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
                    message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
                    $('#tgl_penetapan_mediator').val('');
                    error = 1
                }
                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() < new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
                    message = 'Tidak Dapat Memilih Tanggal Sebelum Tanggal Sidang Pertama';
                     $('#tgl_penetapan_mediator').val('');
                    error = 1
                }

				if(jns==="2"){
                var kesepakatan_mediasi_sebelumnya = $('#kesepakatan_mediasi_sebelumnya').val();
                var tmp4 = kesepakatan_mediasi_sebelumnya.split("-");
                if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() < new Date(tmp4[0],tmp4[1],tmp4[2]).getTime())){
                    message = 'Tidak Dapat Memilih Tanggal Sebelum Tanggal Hasil Mediasi Sebelumnya';
                    error = 1
                }
				}

                if(error==1){
                    message_error_show(message);
                    $(this).css("background-color", "red");
                }else{
                    $(this).css("background-color", "#dedbdb");
                }
                error = 0;

                $('#tgl_mulai_mediasi').text($(this).val());
            }
        });
$('.datepicker').ValidateDateInput();

function check_duplicate(){
    arr = new Array();
    var x = document.getElementsByName("enk_id[]");
    var y = document.getElementsByName("mediator0")

    for($i=0; $i<x.length; $i++){
        arr.push(x[$i].value);
    }

    var uniq = arr
    .map((name) => {
    return {
        count: 1, name: name
        }
    })
    .reduce((a, b) => {
    a[b.name] = (a[b.name] || 0) + b.count
    return a
    }, {})

    var duplicates = Object.keys(uniq).filter((a) => uniq[a] > 1)
        if(duplicates!=''){
            message = 'Anda memilih Mediator yang sama, mohon periksa kembali Mediator yang Anda pilih!';
            message_error_show(message);
            return false;
        }
        return true;
}
$('#frm_mediasi').SubmitHandling({
	refresh:1,
	setRefresh:1,
	clicked:1,
	btnClicked:'#close_form_mediasi',
	whenStatus:1,
	next_step: 1
});
<?php 
if($this->session->userdata('jenis_pengadilan')==1){
?>
    $('#close_form_mediasi').click(function(){
        window.open("<?php echo base_url('perkara_detil/'.$enc.'/6');?>","_self");    
    });          
<?php
}else if($this->session->userdata('jenis_pengadilan')==4){
?>
    $('#close_form_mediasi').click(function(){
        window.open("<?php echo base_url('perkara_detil_agama/'.$enc.'/6');?>","_self");    
    });           
<?php
}else{
?>
    $('#close_form_mediasi').closingFormWin();
<?php
}
?>
</script>
